package mmail

import (
	"time"

	mgt "github.com/tech/sendico/pkg/mutil/time/go"
)

func AddDate(b MailBuilder, t time.Time) {
	b.AddData("Date", mgt.ToDate(t))
}

func AddTime(b MailBuilder, t time.Time) {
	b.AddData("Time", mgt.ToTime(t))
}

func AddDateAndTime(b MailBuilder, t time.Time) {
	AddDate(b, t)
	AddTime(b, t)
}
